<h2 mat-dialog-title>Add product</h2>
<div mat-dialog-content>
  <form class="new-product-form"
        [formGroup]="form" (ngSubmit)="onSubmit()">
    <mat-form-field appearance="fill">
      <mat-label>Name of product</mat-label>
      <input type="text"
             matInput
             formControlName="name"
             placeholder="T-shirt">
      <mat-error *ngIf="getError('required', 'name')">
        Name is <strong>required</strong>
      </mat-error>
      <mat-error *ngIf="getError('minlength', 'name')">
        Name must be at least <strong>4</strong> chars long
      </mat-error>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Description</mat-label>
      <textarea matInput
                formControlName="description"
                placeholder="Size M. A brand new t-shirt..."></textarea>
      <mat-error *ngIf="getError('required', 'description')">
        Description is <strong>required</strong>
      </mat-error>
      <mat-error *ngIf="getError('minlength', 'description')">
        Description must be at least <strong>10</strong> chars long
      </mat-error>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Type</mat-label>
      <mat-select formControlName="type">
        <mat-option *ngFor="let type of ProductTypes"
                    [value]="type">{{type}}</mat-option>
      </mat-select>
      <mat-error *ngIf="getError('required', 'type')">
        Type is <strong>required</strong>
      </mat-error>
    </mat-form-field>
  </form>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button (click)="onSubmit()">Ok</button>
</div>
